GCLOUD_COMPONENTS_LIST(1)

NAME

gcloud components list - list the status of all Cloud SDK components

SYNOPSIS

gcloud components list [--show-versions] [--filter=EXPRESSION] [--limit=LIMIT] [--sort-by=[FIELD,...]] [GLOBAL-FLAG ...]

DESCRIPTION
This command lists all the available components in the Cloud SDK. For each component, the command lists the following information:

    •   Status on your local workstation: not installed, installed (and up to date), and update available (installed, but not up to date)

    •   Name of the component (a description)

    •   ID of the component (used to refer to the component in other [gcloud components] commands)

    •   Size of the component

In addition, if the --show-versions flag is specified, the command lists the currently installed version (if any) and the latest available version of each individual component.

FLAGS

    --show-versions
        Show installed and available versions of all components.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
$ gcloud components list $ gcloud components list --show-versions